package org.iespuigcastellar.attendancemanager.core;

import java.io.ByteArrayInputStream;
import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.PipedInputStream;

import com.vaadin.Application;
import com.vaadin.terminal.DownloadStream;
import com.vaadin.terminal.StreamResource;

@SuppressWarnings("serial")
public class DownloadResource extends StreamResource {
	

	    private final String filename;
	    private final String mimeType;

	    public DownloadResource(ByteArrayInputStream source, Application application, String filename, String mimeType) throws FileNotFoundException {
	        super(new FileStreamResource(source), filename, application);
	        this.filename = filename;
	        this.mimeType = mimeType;
	    }

	    public DownloadStream getStream() {
	        DownloadStream stream = new DownloadStream(getStreamSource().getStream(), mimeType, filename);
	        stream.setParameter("Content-Disposition", "attachment;filename=" + filename);
	        return stream;
	    }

	    private static class FileStreamResource implements StreamResource.StreamSource {

	        private final InputStream inputStream;

	        public FileStreamResource(ByteArrayInputStream source) throws FileNotFoundException {
	            //inputStream = new FileInputStream(fileToDownload);
	        	inputStream = source;
	        }

	        public InputStream getStream() {
	            return inputStream;
	        }
	    }
	


    
    /*
     * public class DownloadResource extends StreamResource {

    private final String filename;

    public DownloadResource(File fileToDownload, Application application)
            throws FileNotFoundException {
        super(new FileStreamResource(fileToDownload), fileToDownload.getName(),
                application);

        this.filename = fileToDownload.getName();
    }

    public DownloadStream getStream() {
        DownloadStream stream = new DownloadStream(getStreamSource()
                .getStream(), "application/pdf", filename);
        stream.setParameter("Content-Disposition", "attachment;filename="
                + filename);
        return stream;
    }

    private static class FileStreamResource implements
            StreamResource.StreamSource {

        private final InputStream inputStream;

        public FileStreamResource(File fileToDownload)
                throws FileNotFoundException {
            inputStream = new FileInputStream(fileToDownload);
        }

        public InputStream getStream() {
            return inputStream;
        }
    }
     */
}