/*
    AttendanceManager
    Copyright (C) 2010  Victor Carceler

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as
    published by the Free Software Foundation, either version 3 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>
 */

package org.iespuigcastellar.attendancemanager.core;

/**
 * Provides a common ancestor for database entities (Group, Student, ...)
 * with a protected <code>storage</code> to ensure add, update and delete
 * operations from DBMS.
 * 
 * @author vcarceler
 */
public interface Entity {
	public static DatabaseStorage storage = new DatabaseStorage();
	
	public int add();
	public int update();
	public void delete();
}
